"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x10ed1ae80>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x10ed1afc0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10ed1af20>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10ed1b060>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x10ed1b100>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x10ed1b1a0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10ed1b240>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10ed1b2e0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10ed1b380>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10ed1b420>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x10ed1b4c0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x10ed1b560>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x10ed1b600>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x10ed1b6a0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x10ed1b740>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x10ed1b7e0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x10ed1b880>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x10ed1b920>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x10ed1b9c0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x10ed1ba60>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x10ed1bb00>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x10ed1bba0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x10ed1bc40>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x10ed1bce0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x10ed1bd80>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x10ed1be20>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x10ed1bec0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x10ed1bf60>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x10ed74040>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x10ed740e0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x10ed74180>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x10ed74220>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x10ed742c0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x10ed74360>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x10ed74400>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x10ed744a0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x10ed74540>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x10ed745e0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10ed74680>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10ed74720>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10ed747c0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x10ed74860>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x10ed74900>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x10ed749a0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x10ed74a40>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x10ed74ae0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x10ed74b80>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10ed74c20>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10ed74cc0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x10ed74d60>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x10ed74e00>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x10ed74ea0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x10ed74f40>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x10ed74fe0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x10ed75080>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x10ed75120>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x10ed751c0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10ed75260>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x10ed75300>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x10ed753a0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x10ed75440>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x10ed754e0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x10ed75580>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x10ed75620>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x10ed756c0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x10ed75760>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x10ed75800>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x10ed758a0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x10ed75940>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10ed759e0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x10ed75a80>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x10ed75b20>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10ed75bc0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x10ed75c60>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x10ed75d00>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x10ed75da0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x10ed75e40>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x10ed75ee0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x10ed75f80>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x10ed760c0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x10ed76020>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x10ed76160>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x10ed76200>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x10ed762a0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x10ed76340>)]
name: str = 'fr_HOCCN'
